Debian Bug report logs - #567460
dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails

version graph

Package: virtualbox-ose; Maintainer for virtualbox-ose is Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>; Source for virtualbox-ose is src:virtualbox.

Reported by: Dennis Kadioglu <denk@trashdevil.de>

Date: Fri, 29 Jan 2010 08:42:01 UTC

Severity: normal

Tags: patch, unreproducible

Merged with 586725

Fixed in version virtualbox-ose/3.2.10-dfsg-1

Done: Michael Gilbert <michael.s.gilbert@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, denk@trashdevil.de, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Fri, 29 Jan 2010 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dennis Kadioglu <denk@trashdevil.de>:
New Bug report received and forwarded. Copy sent to denk@trashdevil.de, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 29 Jan 2010 08:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dennis Kadioglu <denk@trashdevil.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Fri, 29 Jan 2010 09:36:07 +0100
Package: dkms
Version: 2.1.1.1-1
Severity: important

After every Kernel-Update I have to invoke /etc/init.d/vboxdrv setup because the modules built automatically by dkms during the Kernel-Update lead to the following errors in dmesg:

vboxnetflt: no symbol version for RTSemFastMutexCreate
vboxnetflt: Unknown symbol RTSemFastMutexCreate
vboxnetflt: no symbol version for RTR0Init
vboxnetflt: Unknown symbol RTR0Init
vboxnetflt: no symbol version for SUPDrvLinuxIDC
vboxnetflt: Unknown symbol SUPDrvLinuxIDC
vboxnetflt: no symbol version for RTSpinlockRelease
vboxnetflt: Unknown symbol RTSpinlockRelease
vboxnetflt: no symbol version for RTSemEventDestroy
vboxnetflt: Unknown symbol RTSemEventDestroy
vboxnetflt: no symbol version for RTUuidFromStr
vboxnetflt: Unknown symbol RTUuidFromStr
vboxnetflt: no symbol version for RTSemEventSignal
vboxnetflt: Unknown symbol RTSemEventSignal
vboxnetflt: no symbol version for RTErrConvertFromErrno
vboxnetflt: Unknown symbol RTErrConvertFromErrno
vboxnetflt: no symbol version for RTSemEventWait
vboxnetflt: Unknown symbol RTSemEventWait
vboxnetflt: no symbol version for RTMemAllocZ
vboxnetflt: Unknown symbol RTMemAllocZ
vboxnetflt: no symbol version for RTErrConvertToErrno
vboxnetflt: Unknown symbol RTErrConvertToErrno
vboxnetflt: no symbol version for RTSemFastMutexRequest
vboxnetflt: Unknown symbol RTSemFastMutexRequest
vboxnetflt: no symbol version for RTSpinlockCreate
vboxnetflt: Unknown symbol RTSpinlockCreate
vboxnetflt: no symbol version for RTLogRelDefaultInstance
vboxnetflt: Unknown symbol RTLogRelDefaultInstance
vboxnetflt: no symbol version for RTMemFree
vboxnetflt: Unknown symbol RTMemFree
vboxnetflt: no symbol version for RTSemFastMutexRelease
vboxnetflt: Unknown symbol RTSemFastMutexRelease
vboxnetflt: no symbol version for RTTimeNanoTS
vboxnetflt: Unknown symbol RTTimeNanoTS
vboxnetflt: no symbol version for RTSpinlockDestroy
vboxnetflt: Unknown symbol RTSpinlockDestroy
vboxnetflt: no symbol version for RTSemEventCreate
vboxnetflt: Unknown symbol RTSemEventCreate
vboxnetflt: no symbol version for RTSpinlockAcquire
vboxnetflt: Unknown symbol RTSpinlockAcquire
vboxnetflt: no symbol version for RTR0Term
vboxnetflt: Unknown symbol RTR0Term
vboxnetflt: no symbol version for RTUuidCompareStr
vboxnetflt: Unknown symbol RTUuidCompareStr
vboxnetflt: no symbol version for RTSemFastMutexDestroy
vboxnetflt: Unknown symbol RTSemFastMutexDestroy

The Log-File vbox-install.log isn't written during automatic rebuild, the Log-File dkms-autoinstaller.log is always empty. DKMS doesn't show any error during automatic rebuild for the new kernel.

I filed an upstream bug at virtualbox.org, too: http://www.virtualbox.org/ticket/5817

Thanks

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-7.slh.1-sidux-686 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dkms depends on:
ii  build-essential              11.4        Informational list of build-essent
ii  dpkg-dev                     1.15.5.6    Debian package development tools
ii  gcc                          4:4.4.2-3   The GNU C compiler
ii  make                         3.81-7      An utility for Directing compilati
ii  module-init-tools            3.12~pre1-1 tools for managing Linux kernel mo

Versions of packages dkms recommends:
pn  fakeroot                      <none>     (no description available)
ii  linux-headers-2.6.32-5.slh.2- 2.6.32-27  Header files for Linux 2.6.32-5.sl
ii  linux-headers-2.6.32-6.slh.3- 2.6.32-30  Header files for Linux 2.6.32-6.sl
ii  linux-headers-2.6.32-6.slh.4- 2.6.32-31  Header files for Linux 2.6.32-6.sl
ii  linux-headers-2.6.32-7.slh.1- 2.6.32-32  Header files for Linux 2.6.32-7.sl
ii  linux-image-2.6.32-5.slh.2-si 2.6.32-27  Linux 2.6.32 image on PPro/Celeron
ii  linux-image-2.6.32-6.slh.3-si 2.6.32-30  Linux 2.6.32 image on PPro/Celeron
ii  linux-image-2.6.32-6.slh.4-si 2.6.32-31  Linux 2.6.32 image on PPro/Celeron
ii  linux-image-2.6.32-7.slh.1-si 2.6.32-32  Linux 2.6.32 image on PPro/Celeron
ii  lsb-release                   3.2-23     Linux Standard Base version report
ii  menu                          2.1.43     generates programs menu for all me
ii  patch                         2.6-2      Apply a diff file to an original
ii  sudo                          1.7.2p1-1  Provide limited super user privile

dkms suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Fri, 29 Jan 2010 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mario Limonciello <mario_limonciello@dell.com>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Fri, 29 Jan 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 567460@bugs.debian.org (full text, mbox):

From: Mario Limonciello <mario_limonciello@dell.com>
To: Dennis Kadioglu <denk@trashdevil.de>, "567460@bugs.debian.org" <567460@bugs.debian.org>, DKMS maintainers <pkg-dkms-maint@lists.alioth.debian.org>
Subject: Re: [Pkg-dkms-maint] Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Fri, 29 Jan 2010 14:50:22 -0600
This is two separate issues.
For the first:
Can you post the apt log to see if the kernel postinst.d hook was not 
getting ran?

For the second,
That depends on what that script is actually doing.  And are you running 
it from the kernel you are supposed to be booted into?  It could 
possibly be a bug in the script.

On 01/29/2010 02:36 AM, Dennis Kadioglu wrote:
> Package: dkms
> Version: 2.1.1.1-1
> Severity: important
>
> After every Kernel-Update I have to invoke /etc/init.d/vboxdrv setup because the modules built automatically by dkms during the Kernel-Update lead to the following errors in dmesg:
>
> vboxnetflt: no symbol version for RTSemFastMutexCreate
> vboxnetflt: Unknown symbol RTSemFastMutexCreate
> vboxnetflt: no symbol version for RTR0Init
> vboxnetflt: Unknown symbol RTR0Init
> vboxnetflt: no symbol version for SUPDrvLinuxIDC
> vboxnetflt: Unknown symbol SUPDrvLinuxIDC
> vboxnetflt: no symbol version for RTSpinlockRelease
> vboxnetflt: Unknown symbol RTSpinlockRelease
> vboxnetflt: no symbol version for RTSemEventDestroy
> vboxnetflt: Unknown symbol RTSemEventDestroy
> vboxnetflt: no symbol version for RTUuidFromStr
> vboxnetflt: Unknown symbol RTUuidFromStr
> vboxnetflt: no symbol version for RTSemEventSignal
> vboxnetflt: Unknown symbol RTSemEventSignal
> vboxnetflt: no symbol version for RTErrConvertFromErrno
> vboxnetflt: Unknown symbol RTErrConvertFromErrno
> vboxnetflt: no symbol version for RTSemEventWait
> vboxnetflt: Unknown symbol RTSemEventWait
> vboxnetflt: no symbol version for RTMemAllocZ
> vboxnetflt: Unknown symbol RTMemAllocZ
> vboxnetflt: no symbol version for RTErrConvertToErrno
> vboxnetflt: Unknown symbol RTErrConvertToErrno
> vboxnetflt: no symbol version for RTSemFastMutexRequest
> vboxnetflt: Unknown symbol RTSemFastMutexRequest
> vboxnetflt: no symbol version for RTSpinlockCreate
> vboxnetflt: Unknown symbol RTSpinlockCreate
> vboxnetflt: no symbol version for RTLogRelDefaultInstance
> vboxnetflt: Unknown symbol RTLogRelDefaultInstance
> vboxnetflt: no symbol version for RTMemFree
> vboxnetflt: Unknown symbol RTMemFree
> vboxnetflt: no symbol version for RTSemFastMutexRelease
> vboxnetflt: Unknown symbol RTSemFastMutexRelease
> vboxnetflt: no symbol version for RTTimeNanoTS
> vboxnetflt: Unknown symbol RTTimeNanoTS
> vboxnetflt: no symbol version for RTSpinlockDestroy
> vboxnetflt: Unknown symbol RTSpinlockDestroy
> vboxnetflt: no symbol version for RTSemEventCreate
> vboxnetflt: Unknown symbol RTSemEventCreate
> vboxnetflt: no symbol version for RTSpinlockAcquire
> vboxnetflt: Unknown symbol RTSpinlockAcquire
> vboxnetflt: no symbol version for RTR0Term
> vboxnetflt: Unknown symbol RTR0Term
> vboxnetflt: no symbol version for RTUuidCompareStr
> vboxnetflt: Unknown symbol RTUuidCompareStr
> vboxnetflt: no symbol version for RTSemFastMutexDestroy
> vboxnetflt: Unknown symbol RTSemFastMutexDestroy
>
> The Log-File vbox-install.log isn't written during automatic rebuild, the Log-File dkms-autoinstaller.log is always empty. DKMS doesn't show any error during automatic rebuild for the new kernel.
>
> I filed an upstream bug at virtualbox.org, too: http://www.virtualbox.org/ticket/5817
>
> Thanks
>
> -- System Information:
> Debian Release: squeeze/sid
>    APT prefers unstable
>    APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-7.slh.1-sidux-686 (SMP w/2 CPU cores; PREEMPT)
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages dkms depends on:
> ii  build-essential              11.4        Informational list of build-essent
> ii  dpkg-dev                     1.15.5.6    Debian package development tools
> ii  gcc                          4:4.4.2-3   The GNU C compiler
> ii  make                         3.81-7      An utility for Directing compilati
> ii  module-init-tools            3.12~pre1-1 tools for managing Linux kernel mo
>
> Versions of packages dkms recommends:
> pn  fakeroot<none>      (no description available)
> ii  linux-headers-2.6.32-5.slh.2- 2.6.32-27  Header files for Linux 2.6.32-5.sl
> ii  linux-headers-2.6.32-6.slh.3- 2.6.32-30  Header files for Linux 2.6.32-6.sl
> ii  linux-headers-2.6.32-6.slh.4- 2.6.32-31  Header files for Linux 2.6.32-6.sl
> ii  linux-headers-2.6.32-7.slh.1- 2.6.32-32  Header files for Linux 2.6.32-7.sl
> ii  linux-image-2.6.32-5.slh.2-si 2.6.32-27  Linux 2.6.32 image on PPro/Celeron
> ii  linux-image-2.6.32-6.slh.3-si 2.6.32-30  Linux 2.6.32 image on PPro/Celeron
> ii  linux-image-2.6.32-6.slh.4-si 2.6.32-31  Linux 2.6.32 image on PPro/Celeron
> ii  linux-image-2.6.32-7.slh.1-si 2.6.32-32  Linux 2.6.32 image on PPro/Celeron
> ii  lsb-release                   3.2-23     Linux Standard Base version report
> ii  menu                          2.1.43     generates programs menu for all me
> ii  patch                         2.6-2      Apply a diff file to an original
> ii  sudo                          1.7.2p1-1  Provide limited super user privile
>
> dkms suggests no packages.
>
> -- no debconf information
>
>
>
> _______________________________________________
> Pkg-dkms-maint mailing list
> Pkg-dkms-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-dkms-maint
>    

-- 
Mario Limonciello
*Dell | Linux Engineering*
mario_limonciello@dell.com




Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sat, 30 Jan 2010 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 30 Jan 2010 10:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org, mario_limonciello@dell.com, pkg-dkms-maint@lists.alioth.debian.org
Subject: Re: [Pkg-dkms-maint] Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sat, 30 Jan 2010 05:44:11 -0500
[Message part 1 (text/plain, inline)]
 

 For the first: I hope, it is the correct part of the correct log:

/var/log/apt/term.log:
Richte linux-headers-2.6.32-7.slh.1-sidux-686 ein (2.6.32-32) ...
Richte linux-image-2.6.32-7.slh.1-sidux-686 ein (2.6.32-32) ...
Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.32-7.slh.1-sidux-686
Running /usr/sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
Found kernel: /boot/vmlinuz-2.6.32-6.slh.4-sidux-686
Found kernel: /boot/vmlinuz-2.6.32-6.slh.3-sidux-686
Found kernel: /boot/vmlinuz-2.6.32-5.slh.2-sidux-686
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 2.6.32-7.slh.1-sidux-686 /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.32-7.slh.1-sidux-686 /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.32-7.slh.1-sidux-686 /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
Richte linux-headers-2.6-sidux-686 ein (2.6.32-32) ...
Richte linux-image-2.6-sidux-686 ein (2.6.32-32) ...


For the second:
I think the following should answer your question:
my kernel-update-sequence: init 3 -> update kernel -> init 6 (boot into NEW kernel! -> errors in dmesg -> run /etc/init.d/vboxdrv setup

If you need more information, I'll try to post it.

Thanks!

Dennis


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sat, 30 Jan 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@trashdevil.de:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 30 Jan 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 567460@bugs.debian.org (full text, mbox):

From: denk@trashdevil.de
To: 567460@bugs.debian.org
Subject: Re: [Pkg-dkms-maint] Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sat, 30 Jan 2010 11:25:46 +0100
For the first: I hope, it is the correct part of the correct log:

/var/log/apt/term.log:
Richte linux-headers-2.6.32-7.slh.1-sidux-686 ein (2.6.32-32) ...
Richte linux-image-2.6.32-7.slh.1-sidux-686 ein (2.6.32-32) ...
Running depmod.
Running update-initramfs.
update-initramfs: Generating /boot/initrd.img-2.6.32-7.slh.1-sidux-686
Running /usr/sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
Found kernel: /boot/vmlinuz-2.6.32-6.slh.4-sidux-686
Found kernel: /boot/vmlinuz-2.6.32-6.slh.3-sidux-686
Found kernel: /boot/vmlinuz-2.6.32-5.slh.2-sidux-686
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 2.6.32-7.slh.1-sidux-686 /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 2.6.32-7.slh.1-sidux-686 /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
run-parts: executing /etc/kernel/postinst.d/pm-utils 2.6.32-7.slh.1-sidux-686 /boot/vmlinuz-2.6.32-7.slh.1-sidux-686
Richte linux-headers-2.6-sidux-686 ein (2.6.32-32) ...
Richte linux-image-2.6-sidux-686 ein (2.6.32-32) ...


For the second:
I think the following should answer your question:
my kernel-update-sequence: init 3 -> update kernel -> init 6 (boot into NEW kernel! -> errors in dmesg -> run /etc/init.d/vboxdrv setup

If you need more information, I\'ll try to post it.

Thanks!

Dennis

-----------------------------------------------------------------
A free e-mail service from TrashDevil.com
http://www.Trashdevil.com
-----------------------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Wed, 03 Feb 2010 23:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Wed, 03 Feb 2010 23:21:10 GMT) Full text and rfc822 format available.

Message #25 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: Re: [Pkg-dkms-maint] Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Wed, 03 Feb 2010 18:20:27 -0500
[Message part 1 (text/plain, inline)]

 

 Hello,

after just updating my kernel, I searched for log-files again and I found one in /var/lib/dkms/vboxnetflt/kernel-2.6.32-7.slh.3-sidux-686-i686/log/make.log:

DKMS make.log for vboxnetflt-3.1.4_BETA1 for kernel 2.6.32-7.slh.3-sidux-686 (i686)
Do 4. Feb 00:00:25 CET 2010
make: Entering directory `/usr/src/linux-headers-2.6.32-7.slh.3-sidux-686'
  LD      /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/built-in.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/linux/VBoxNetFlt-linux.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/VBoxNetFlt.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/SUPR0IdcClient.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/SUPR0IdcClientComponent.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/SUPR0IdcClient-linux.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/divdi3.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/moddi3.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/qdivrem.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/udivdi3.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/umoddi3.o
  LD [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.o
  Building modules, stage 2.
  MODPOST 1 modules
WARNING: "RTSemFastMutexDestroy" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTUuidCompareStr" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTR0Term" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSpinlockAcquire" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemEventCreate" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSpinlockDestroy" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTTimeNanoTS" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemFastMutexRelease" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTMemFree" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTLogRelDefaultInstance" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSpinlockCreate" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemFastMutexRequest" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTErrConvertToErrno" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTMemAllocZ" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemEventWait" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTErrConvertFromErrno" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemEventSignal" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTUuidFromStr" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemEventDestroy" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSpinlockRelease" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "SUPDrvLinuxIDC" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTR0Init" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
WARNING: "RTSemFastMutexCreate" [/var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko] undefined!
  CC      /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.mod.o
  LD [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko
make: Leaving directory `/usr/src/linux-headers-2.6.32-7.slh.3-sidux-686'

This log is right after the automatic module build during the kernel update!

The next one is right after rebooting and manually invoking /etc/init.d/vboxdrv setup

DKMS make.log for vboxnetflt-3.1.4_BETA1 for kernel 2.6.32-7.slh.3-sidux-686 (i686)
Do 4. Feb 00:17:45 CET 2010
make: Entering directory `/usr/src/linux-headers-2.6.32-7.slh.3-sidux-686'
  LD      /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/built-in.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/linux/VBoxNetFlt-linux.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/VBoxNetFlt.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/SUPR0IdcClient.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/SUPR0IdcClientComponent.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/SUPR0IdcClient-linux.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/divdi3.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/moddi3.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/qdivrem.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/udivdi3.o
  CC [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/math/gcc/umoddi3.o
  LD [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.mod.o
  LD [M]  /var/lib/dkms/vboxnetflt/3.1.4_BETA1/build/vboxnetflt.ko
make: Leaving directory `/usr/src/linux-headers-2.6.32-7.slh.3-sidux-686'

As you can see there are no more errors and the kernel module loads without any error!

Hope this helps!?

Dennis


 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sat, 06 Feb 2010 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 06 Feb 2010 11:09:03 GMT) Full text and rfc822 format available.

Message #30 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: Re: [Pkg-dkms-maint] Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sat, 06 Feb 2010 06:06:27 -0500
[Message part 1 (text/plain, inline)]
According to the upstream bug I filed, the error seems to occur because of the order the modules are built.


How can the order of compiling modules can be set? Could you look into it to support upstream!?

Thanks!


 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sun, 14 Feb 2010 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sun, 14 Feb 2010 17:48:07 GMT) Full text and rfc822 format available.

Message #35 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: Re: [Pkg-dkms-maint] Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sun, 14 Feb 2010 12:43:47 -0500
[Message part 1 (text/plain, inline)]
 Hello,

as there is no response from you by now, I would like to ask, if I can do something to help you in investigating my problem?


 


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sun, 14 Feb 2010 18:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sun, 14 Feb 2010 18:12:03 GMT) Full text and rfc822 format available.

Message #40 received at 567460@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: denk@post.com, 567460@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-dkms-maint] Bug#567460: Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sun, 14 Feb 2010 19:08:00 +0100
[Message part 1 (text/plain, inline)]
tags 567460 unreproducible
thanks

Il 14/02/2010 18:43, denk@post.com ha scritto:
> as there is no response from you by now, I would like to ask, if I can
> do something to help you in investigating my problem?

I can't reproduce your issue with virtualbox-ose-dkms package, so I guess something is wrong
in non-free virtualbox package or sidux.

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) unreproducible. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Sun, 14 Feb 2010 18:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sat, 27 Feb 2010 06:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 27 Feb 2010 06:36:08 GMT) Full text and rfc822 format available.

Message #47 received at 567460@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 567460@bugs.debian.org, 567460-submitter@bugs.debian.org
Subject: re: Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sat, 27 Feb 2010 01:37:25 -0500
the submitter is running a sidux kernel image.  is there any reason to
think that debian is affected?  i think this bug should be closed
(unless the submitter can reproduce the problem with a debian kernel).

mike




Message sent on to Dennis Kadioglu <denk@trashdevil.de>:
Bug#567460. (Sat, 27 Feb 2010 06:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Sat, 13 Mar 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Sat, 13 Mar 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: re: Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sat, 13 Mar 2010 11:53:39 -0500
[Message part 1 (text/plain, inline)]
 

 Hello,

I investigated my problem further and I found out that the order in which the modules are built comes from the command 'find' which is invoked by the dkms_autoinstaller script. By appending the command  '| sort' I could achieve that the modules are built in alphabetical order which solves my problem.
But it is only a workaround.

I don't think that the fact that I'm using a sidux kernel image influences the sort order of find in any way. Is there any way how somebody can control the build order to respect module dependencies?

Thanks in advance.


[Message part 2 (text/html, inline)]

Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Sun, 25 Apr 2010 21:42:03 GMT) Full text and rfc822 format available.

Notification sent to Dennis Kadioglu <denk@trashdevil.de>:
Bug acknowledged by developer. (Sun, 25 Apr 2010 21:42:04 GMT) Full text and rfc822 format available.

Message #60 received at 567460-done@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 567460-done@bugs.debian.org
Subject: re: Bug#567460: dkms: automatic module-build of the VirtualBox-Modules after kernel-update fails
Date: Sun, 25 Apr 2010 17:39:25 -0400
if can you reproduce this problem with a debian kernel, please reopen
this bug.  otherwise, it is a sidux-specific problem.  you should submit
a bug report to their tracker.

mike




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 24 May 2010 07:36:33 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from denk@post.com to control@bugs.debian.org. (Mon, 05 Jul 2010 22:36:07 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Jul 2010 22:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Mon, 05 Jul 2010 22:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Mon, 05 Jul 2010 22:48:06 GMT) Full text and rfc822 format available.

Message #71 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: Problem still persists!
Date: Mon, 05 Jul 2010 18:45:04 -0400
Could you please look into it again, I've done some further tests with
a regular debian kernel and the problem still persists!

As you can see here:

root@DK:/usr/lib/dkms# ./dkms_autoinstaller start
dkms: running auto installation service for kernel :
 vboxnetadp (3.2.6)...done.
 vboxnetflt (3.2.6)...done.
 vboxdrv (3.2.6)...done.

The modules are rebuilt in non-alphabetical order with regular debian
kernel, too:

root@DK:/usr/lib/dkms# uname -r
2.6.34-1-686

Although the output says 'done' for every module, this occurs as of the
modules are already built. If I append '| sort' before the closing
bracket in lines 74 and 82 of the dkms_autoinstaller script in
/usr/lib/dkms the modules are built in correct alphabetical order, with
debian kernel as well as sidux kernel.
Thanks in advance.

denk




Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Thu, 05 Aug 2010 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Thu, 05 Aug 2010 09:03:03 GMT) Full text and rfc822 format available.

Message #76 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: Progress?
Date: Thu, 05 Aug 2010 04:55:02 -0400
Hello,

as I've sent you the proof that I can reproduce it with a debian kernel 
I would like to ask if there is any progress on my problem?

If you need further information, please ask!

denk




Forcibly Merged 567460 586725. Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Wed, 18 Aug 2010 03:03:02 GMT) Full text and rfc822 format available.

Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Wed, 18 Aug 2010 03:03:06 GMT) Full text and rfc822 format available.

Notification sent to Dennis Kadioglu <denk@trashdevil.de>:
Bug acknowledged by developer. (Wed, 18 Aug 2010 03:03:06 GMT) Full text and rfc822 format available.

Message #83 received at 567460-done@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 586725-done@bugs.debian.org, 567460-done@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: dkms attempts to install modules in wrong order
Date: Tue, 17 Aug 2010 23:00:28 -0400
forcemerge 586725 567460
thanks

this must have been a virtualbox issue.  as of at least 3.2.8 they now
only have one dkms directory, and i assume they've set that up in a way
that installs modules in the correct order:

$ ls /var/lib/dkms
dkms_dbversion	virtualbox-ose

if this hasn't fixed the problem, please reopen the bug.

thanks,
mike




Reply sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
You have taken responsibility. (Wed, 18 Aug 2010 03:03:07 GMT) Full text and rfc822 format available.

Notification sent to Jan Muszynski <debianbugs@jancm.org>:
Bug acknowledged by developer. (Wed, 18 Aug 2010 03:03:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Sep 2010 07:31:11 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from denk@post.com to control@bugs.debian.org. (Mon, 11 Oct 2010 20:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>:
Bug#567460; Package dkms. (Mon, 11 Oct 2010 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to denk@post.com:
Extra info received and forwarded to list. Copy sent to Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>. (Mon, 11 Oct 2010 20:24:03 GMT) Full text and rfc822 format available.

Message #97 received at 567460@bugs.debian.org (full text, mbox):

From: denk@post.com
To: 567460@bugs.debian.org
Subject: Fixed with VirtualBox 3.2.10 PUEL
Date: Mon, 11 Oct 2010 16:21:09 -0400
Hi, 
 
the problem is fixed with the new release 3.2.10 as of the three single
dkms modules have been merged into only one! 
 
denk 






Bug Marked as fixed in versions 3.2.10-dfsg-1. Request was from Carlo Stemberger <carlo.stemberger@gmail.com> to control@bugs.debian.org. (Fri, 22 Oct 2010 22:45:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'dkms' to 'virtualbox-ose'. Request was from Carlo Stemberger <carlo.stemberger@gmail.com> to control@bugs.debian.org. (Fri, 22 Oct 2010 22:57:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions dkms/2.1.1.2-3 and dkms/2.1.1.1-1. Request was from Carlo Stemberger <carlo.stemberger@gmail.com> to control@bugs.debian.org. (Fri, 22 Oct 2010 22:57:07 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 3.2.10-dfsg-1. Request was from Carlo Stemberger <carlo.stemberger@gmail.com> to control@bugs.debian.org. (Fri, 22 Oct 2010 22:57:08 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions virtualbox-ose/3.2.10-dfsg-1. Request was from Carlo Stemberger <carlo.stemberger@gmail.com> to control@bugs.debian.org. (Fri, 22 Oct 2010 23:09:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 23 Nov 2010 07:30:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:32:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.